
#ifndef ROMONLY_H
#define ROMONLY_H

#include "cart.h"

/* Memory access handlers */
unsigned char mbc2_rom0_read(unsigned short addr);
void mbc2_rom0_write(unsigned short addr, unsigned char value);

unsigned char mbc2_rom1_read(unsigned short addr);
void mbc2_rom1_write(unsigned short addr, unsigned char value);

unsigned char mbc2_exram_read(unsigned short addr);
void mbc2_exram_write(unsigned short addr, unsigned char value);

/* Load routine */
int mbc2_load(cart_info *this, const char *fname);


#endif
