
#ifndef ROMONLY_H
#define ROMONLY_H

#include "cart.h"

/* Memory access handlers */
unsigned char romonly_rom0_read(unsigned short addr);
void romonly_rom0_write(unsigned short addr, unsigned char value);

unsigned char romonly_rom1_read(unsigned short addr);
void romonly_rom1_write(unsigned short addr, unsigned char value);

unsigned char romonly_exram_read(unsigned short addr);
void romonly_exram_write(unsigned short addr, unsigned char value);

/* Load routine */
int romonly_load(cart_info *this);


#endif
